Bug 783049 - Replace-brick not working.
Replace-brick not working.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-19 02:08 EST by Vijaykumar Koppad
Modified: 2016-02-17 19:02 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-01-19 02:08:32 EST
Description of problem:
[root@RHEL6 ~]# gluster --mode=script volume replace-brick doa 10.1.11.139:/root/bricks/doa/d1 10.1.11.138:/root/bricks/doa/d5 start
replace-brick started successfully
[root@RHEL6 ~]# gluster --mode=script volume replace-brick doa 10.1.11.139:/root/bricks/doa/d1 10.1.11.138:/root/bricks/doa/d5 status
Number of files migrated = 0       Current file=  
[root@RHEL6 ~]# gluster --mode=script volume replace-brick doa 10.1.11.139:/root/bricks/doa/d1 10.1.11.138:/root/bricks/doa/d5 status
Number of files migrated = 0       Current file=  
[root@RHEL6 ~]# gluster --mode=script volume replace-brick doa 10.1.11.139:/root/bricks/doa/d1 10.1.11.138:/root/bricks/doa/d5 status
Number of files migrated = 0       Current file=  
[root@RHEL6 ~]# gluster --mode=script volume replace-brick doa 10.1.11.139:/root/bricks/doa/d1 10.1.11.138:/root/bricks/doa/d5 status
Number of files migrated = 0       Current file=  
[root@RHEL6 ~]# gluster --mode=script volume replace-brick doa 10.1.11.139:/root/bricks/doa/d1 10.1.11.138:/root/bricks/doa/d5 commit
replace-brick commit failed

  Replace-brick starts successfully, but status says files migrate=0 and current file nothing.

Version-Release number of selected component (if applicable):master
Comment 1 Anand Avati 2012-01-23 12:46:48 EST
CHANGE: http://review.gluster.com/2663 (pump: move internal pump xattrs out of trusted domain) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.